> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a person

> 
 Creates a person and adds them to a given account.
 The email address provided for this person will be used to identify them and cannot be changed later.

 If a person with this email address already exists,
 this request will add the existing person to the account.
  



## OpenAPI

````yaml /autogenerated/openapi/cis.openapi.json post /people
openapi: 3.1.0
info:
  title: CIS API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /people:
    post:
      tags:
        - People
      summary: Create a person
      description: |2-

         Creates a person and adds them to a given account.
         The email address provided for this person will be used to identify them and cannot be changed later.

         If a person with this email address already exists,
         this request will add the existing person to the account.
          
      operationId: createPerson
      parameters: []
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type:
                - object
              properties:
                accountId:
                  type:
                    - string
                  description: The ID of the account to work with.
                  example: F50091
                firstName:
                  type:
                    - string
                  maxLength: 256
                  example: Dolly
                lastName:
                  type:
                    - string
                  maxLength: 256
                  example: Parton
                roleName:
                  type:
                    - string
                  enum:
                    - Owner
                    - Admin
                    - Payer
                    - Viewer
                    - Accountant
                    - User
                emailAddress:
                  type:
                    - string
                  maxLength: 256
                  format: email
                  example: sally.smith@example.com
                dob:
                  type:
                    - string
                    - 'null'
                  description: Date of birth
                  example: '1946-01-19'
                nationalities:
                  type:
                    - array
                    - 'null'
                  items:
                    type:
                      - string
                    enum:
                      - AD
                      - AE
                      - AF
                      - AG
                      - AI
                      - AL
                      - AM
                      - AO
                      - AQ
                      - AR
                      - AS
                      - AT
                      - AU
                      - AW
                      - AX
                      - AZ
                      - BA
                      - BB
                      - BD
                      - BE
                      - BF
                      - BG
                      - BH
                      - BI
                      - BJ
                      - BL
                      - BM
                      - BN
                      - BO
                      - BQ
                      - BR
                      - BS
                      - BT
                      - BV
                      - BW
                      - BY
                      - BZ
                      - CA
                      - CC
                      - CD
                      - CF
                      - CG
                      - CH
                      - CI
                      - CK
                      - CL
                      - CM
                      - CN
                      - CO
                      - CR
                      - CU
                      - CV
                      - CW
                      - CX
                      - CY
                      - CZ
                      - DE
                      - DJ
                      - DK
                      - DM
                      - DO
                      - DZ
                      - EC
                      - EE
                      - EG
                      - EH
                      - ER
                      - ES
                      - ET
                      - FI
                      - FJ
                      - FK
                      - FM
                      - FO
                      - FR
                      - GA
                      - GB
                      - GD
                      - GE
                      - GF
                      - GG
                      - GH
                      - GI
                      - GL
                      - GM
                      - GN
                      - GP
                      - GQ
                      - GR
                      - GS
                      - GT
                      - GU
                      - GW
                      - GY
                      - HK
                      - HM
                      - HN
                      - HR
                      - HT
                      - HU
                      - ID
                      - IE
                      - IL
                      - IM
                      - IN
                      - IO
                      - IQ
                      - IR
                      - IS
                      - IT
                      - JE
                      - JM
                      - JO
                      - JP
                      - KE
                      - KG
                      - KH
                      - KI
                      - KM
                      - KN
                      - KP
                      - KR
                      - KW
                      - KY
                      - KZ
                      - LA
                      - LB
                      - LC
                      - LI
                      - LK
                      - LR
                      - LS
                      - LT
                      - LU
                      - LV
                      - LY
                      - MA
                      - MC
                      - MD
                      - ME
                      - MF
                      - MG
                      - MH
                      - MK
                      - ML
                      - MM
                      - MN
                      - MO
                      - MP
                      - MQ
                      - MR
                      - MS
                      - MT
                      - MU
                      - MV
                      - MW
                      - MX
                      - MY
                      - MZ
                      - NA
                      - NC
                      - NE
                      - NF
                      - NG
                      - NI
                      - NL
                      - 'NO'
                      - NP
                      - NR
                      - NU
                      - NZ
                      - OM
                      - PA
                      - PE
                      - PF
                      - PG
                      - PH
                      - PK
                      - PL
                      - PM
                      - PN
                      - PR
                      - PS
                      - PT
                      - PW
                      - PY
                      - QA
                      - RE
                      - RO
                      - RS
                      - RU
                      - RW
                      - SA
                      - SB
                      - SC
                      - SD
                      - SE
                      - SG
                      - SH
                      - SI
                      - SJ
                      - SK
                      - SL
                      - SM
                      - SN
                      - SO
                      - SR
                      - SS
                      - ST
                      - SV
                      - SX
                      - SY
                      - SZ
                      - TC
                      - TD
                      - TF
                      - TG
                      - TH
                      - TJ
                      - TK
                      - TL
                      - TM
                      - TN
                      - TO
                      - TR
                      - TT
                      - TV
                      - TW
                      - TZ
                      - UA
                      - UG
                      - UM
                      - US
                      - UY
                      - UZ
                      - VA
                      - VC
                      - VE
                      - VG
                      - VI
                      - VN
                      - VU
                      - WF
                      - WS
                      - XK
                      - YE
                      - YT
                      - ZA
                      - ZM
                      - ZW
                  description: >-
                    Array of ISO 3166-1 alpha-2 country codes representing
                    person nationalities
                  example:
                    - GB
                    - US
                address:
                  type:
                    - object
                  properties:
                    streetName:
                      type:
                        - string
                        - 'null'
                      maxLength: 255
                      description: The street name of the person's address.
                      example: Great Building
                    buildingNumber:
                      type:
                        - string
                        - 'null'
                      maxLength: 50
                      description: The building number of the person's address.
                      example: '10'
                    buildingName:
                      type:
                        - string
                        - 'null'
                      maxLength: 255
                      description: The building name of the person's address.
                      example: Greater Building
                    postcode:
                      type:
                        - string
                        - 'null'
                      maxLength: 50
                      description: The postal or ZIP code of the person's address.
                      example: SE13UB
                    city:
                      type:
                        - string
                        - 'null'
                      maxLength: 255
                      description: The town or city of the person's address.
                      example: My Town
                    region:
                      type:
                        - string
                        - 'null'
                      maxLength: 255
                      description: The region of the person's address.
                      example: Greater London
                    countryCode:
                      type:
                        - string
                        - 'null'
                      enum:
                        - AD
                        - AE
                        - AF
                        - AG
                        - AI
                        - AL
                        - AM
                        - AO
                        - AQ
                        - AR
                        - AS
                        - AT
                        - AU
                        - AW
                        - AX
                        - AZ
                        - BA
                        - BB
                        - BD
                        - BE
                        - BF
                        - BG
                        - BH
                        - BI
                        - BJ
                        - BL
                        - BM
                        - BN
                        - BO
                        - BQ
                        - BR
                        - BS
                        - BT
                        - BV
                        - BW
                        - BY
                        - BZ
                        - CA
                        - CC
                        - CD
                        - CF
                        - CG
                        - CH
                        - CI
                        - CK
                        - CL
                        - CM
                        - CN
                        - CO
                        - CR
                        - CU
                        - CV
                        - CW
                        - CX
                        - CY
                        - CZ
                        - DE
                        - DJ
                        - DK
                        - DM
                        - DO
                        - DZ
                        - EC
                        - EE
                        - EG
                        - EH
                        - ER
                        - ES
                        - ET
                        - FI
                        - FJ
                        - FK
                        - FM
                        - FO
                        - FR
                        - GA
                        - GB
                        - GD
                        - GE
                        - GF
                        - GG
                        - GH
                        - GI
                        - GL
                        - GM
                        - GN
                        - GP
                        - GQ
                        - GR
                        - GS
                        - GT
                        - GU
                        - GW
                        - GY
                        - HK
                        - HM
                        - HN
                        - HR
                        - HT
                        - HU
                        - ID
                        - IE
                        - IL
                        - IM
                        - IN
                        - IO
                        - IQ
                        - IR
                        - IS
                        - IT
                        - JE
                        - JM
                        - JO
                        - JP
                        - KE
                        - KG
                        - KH
                        - KI
                        - KM
                        - KN
                        - KP
                        - KR
                        - KW
                        - KY
                        - KZ
                        - LA
                        - LB
                        - LC
                        - LI
                        - LK
                        - LR
                        - LS
                        - LT
                        - LU
                        - LV
                        - LY
                        - MA
                        - MC
                        - MD
                        - ME
                        - MF
                        - MG
                        - MH
                        - MK
                        - ML
                        - MM
                        - MN
                        - MO
                        - MP
                        - MQ
                        - MR
                        - MS
                        - MT
                        - MU
                        - MV
                        - MW
                        - MX
                        - MY
                        - MZ
                        - NA
                        - NC
                        - NE
                        - NF
                        - NG
                        - NI
                        - NL
                        - 'NO'
                        - NP
                        - NR
                        - NU
                        - NZ
                        - OM
                        - PA
                        - PE
                        - PF
                        - PG
                        - PH
                        - PK
                        - PL
                        - PM
                        - PN
                        - PR
                        - PS
                        - PT
                        - PW
                        - PY
                        - QA
                        - RE
                        - RO
                        - RS
                        - RU
                        - RW
                        - SA
                        - SB
                        - SC
                        - SD
                        - SE
                        - SG
                        - SH
                        - SI
                        - SJ
                        - SK
                        - SL
                        - SM
                        - SN
                        - SO
                        - SR
                        - SS
                        - ST
                        - SV
                        - SX
                        - SY
                        - SZ
                        - TC
                        - TD
                        - TF
                        - TG
                        - TH
                        - TJ
                        - TK
                        - TL
                        - TM
                        - TN
                        - TO
                        - TR
                        - TT
                        - TV
                        - TW
                        - TZ
                        - UA
                        - UG
                        - UM
                        - US
                        - UY
                        - UZ
                        - VA
                        - VC
                        - VE
                        - VG
                        - VI
                        - VN
                        - VU
                        - WF
                        - WS
                        - XK
                        - YE
                        - YT
                        - ZA
                        - ZM
                        - ZW
                      description: The country code of the person's address.
                      example: GB
                  required:
                    - streetName
                    - buildingNumber
                    - buildingName
                    - postcode
                    - city
                    - region
                    - countryCode
                primaryMobileNumber:
                  type:
                    - string
                    - 'null'
                  maxLength: 50
                  example: '+447798121212'
                status:
                  default: active
                  type:
                    - string
                  enum:
                    - active
                    - deactivated
                  example: active
                employeeNumber:
                  type:
                    - string
                  maxLength: 256
                  example: '948947464'
                jobTitle:
                  type:
                    - string
                    - 'null'
                  maxLength: 256
                  example: Human Division Manager
                notifyEmailTrans:
                  default: true
                  type:
                    - boolean
                  description: >-
                    Indicates whether this persona has opted to receive the
                    emails or not.
                  example: true
                createdByPersonaId:
                  type:
                    - string
                  format: uuid
                  maxLength: 36
                  description: The creator's persona ID.
                addToUserPool:
                  default: true
                  type:
                    - boolean
                  description: >-
                    Creates a sign-in-capable user account for this person. Only
                    applies to products with an Equals Money-provided front-end.
                    Set to `false` otherwise.
                  example: false
                sendInvite:
                  default: true
                  type:
                    - boolean
                  description: >-
                    Sends an invitation email so the user can set their password
                    and complete sign-up. Only applies to products with an
                    Equals Money-provided front-end. Set to `false` otherwise.
                  example: false
                emailTheme:
                  type:
                    - string
                  enum:
                    - em-light
                    - em-dark
                  example: em-light
                sessionId:
                  type:
                    - string
                  description: The session ID.
                  example: '1234567890'
                mfaCode:
                  type:
                    - string
                  example: '12345'
                customerIp:
                  type:
                    - string
                  description: The customer's IP.
                  example: 173.21.221.46
                locale:
                  type:
                    - string
                  enum:
                    - en-GB
                  description: >-
                    Determines customer communication language. emails,
                    notifications, etc.
                  example: en-GB
              required:
                - accountId
                - firstName
                - lastName
                - roleName
                - emailAddress
              example:
                accountId: F50091
                firstName: Dolly
                lastName: Parton
                roleName: Owner
                emailAddress: sally.smith@example.com
                dob: '1946-01-19'
                nationalities:
                  - GB
                  - US
                address:
                  streetName: Great Building
                  buildingNumber: '10'
                  buildingName: Greater Building
                  postcode: SE13UB
                  city: My Town
                  region: Greater London
                  countryCode: GB
                primaryMobileNumber: '+447798121212'
                status: active
                employeeNumber: '948947464'
                jobTitle: Human Division Manager
                notifyEmailTrans: true
                createdByPersonaId: cc834d96-ccd5-4ce7-9615-8371e8a19e4c
                addToUserPool: false
                sendInvite: false
                emailTheme: em-light
                sessionId: '1234567890'
                mfaCode: '12345'
                customerIp: 173.21.221.46
                locale: en-GB
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  id:
                    type:
                      - string
                    format: uuid
                  firstName:
                    type:
                      - string
                    maxLength: 256
                    example: Dolly
                  lastName:
                    type:
                      - string
                    maxLength: 256
                    example: Parton
                  title:
                    type:
                      - string
                      - 'null'
                    enum:
                      - Master
                      - Mr
                      - Miss
                      - Mrs
                      - Ms
                      - Mx
                  middleInitials:
                    type:
                      - string
                      - 'null'
                    maxLength: 10
                    example: R
                  dob:
                    type:
                      - string
                      - 'null'
                    example: '1946-01-19'
                  gender:
                    type:
                      - string
                      - 'null'
                    maxLength: 20
                    example: Female
                  nationality:
                    type:
                      - string
                      - 'null'
                    maxLength: 256
                    example: US
                    deprecated: true
                  nationalities:
                    type:
                      - array
                      - 'null'
                    items:
                      type:
                        - string
                      enum:
                        - AD
                        - AE
                        - AF
                        - AG
                        - AI
                        - AL
                        - AM
                        - AO
                        - AQ
                        - AR
                        - AS
                        - AT
                        - AU
                        - AW
                        - AX
                        - AZ
                        - BA
                        - BB
                        - BD
                        - BE
                        - BF
                        - BG
                        - BH
                        - BI
                        - BJ
                        - BL
                        - BM
                        - BN
                        - BO
                        - BQ
                        - BR
                        - BS
                        - BT
                        - BV
                        - BW
                        - BY
                        - BZ
                        - CA
                        - CC
                        - CD
                        - CF
                        - CG
                        - CH
                        - CI
                        - CK
                        - CL
                        - CM
                        - CN
                        - CO
                        - CR
                        - CU
                        - CV
                        - CW
                        - CX
                        - CY
                        - CZ
                        - DE
                        - DJ
                        - DK
                        - DM
                        - DO
                        - DZ
                        - EC
                        - EE
                        - EG
                        - EH
                        - ER
                        - ES
                        - ET
                        - FI
                        - FJ
                        - FK
                        - FM
                        - FO
                        - FR
                        - GA
                        - GB
                        - GD
                        - GE
                        - GF
                        - GG
                        - GH
                        - GI
                        - GL
                        - GM
                        - GN
                        - GP
                        - GQ
                        - GR
                        - GS
                        - GT
                        - GU
                        - GW
                        - GY
                        - HK
                        - HM
                        - HN
                        - HR
                        - HT
                        - HU
                        - ID
                        - IE
                        - IL
                        - IM
                        - IN
                        - IO
                        - IQ
                        - IR
                        - IS
                        - IT
                        - JE
                        - JM
                        - JO
                        - JP
                        - KE
                        - KG
                        - KH
                        - KI
                        - KM
                        - KN
                        - KP
                        - KR
                        - KW
                        - KY
                        - KZ
                        - LA
                        - LB
                        - LC
                        - LI
                        - LK
                        - LR
                        - LS
                        - LT
                        - LU
                        - LV
                        - LY
                        - MA
                        - MC
                        - MD
                        - ME
                        - MF
                        - MG
                        - MH
                        - MK
                        - ML
                        - MM
                        - MN
                        - MO
                        - MP
                        - MQ
                        - MR
                        - MS
                        - MT
                        - MU
                        - MV
                        - MW
                        - MX
                        - MY
                        - MZ
                        - NA
                        - NC
                        - NE
                        - NF
                        - NG
                        - NI
                        - NL
                        - 'NO'
                        - NP
                        - NR
                        - NU
                        - NZ
                        - OM
                        - PA
                        - PE
                        - PF
                        - PG
                        - PH
                        - PK
                        - PL
                        - PM
                        - PN
                        - PR
                        - PS
                        - PT
                        - PW
                        - PY
                        - QA
                        - RE
                        - RO
                        - RS
                        - RU
                        - RW
                        - SA
                        - SB
                        - SC
                        - SD
                        - SE
                        - SG
                        - SH
                        - SI
                        - SJ
                        - SK
                        - SL
                        - SM
                        - SN
                        - SO
                        - SR
                        - SS
                        - ST
                        - SV
                        - SX
                        - SY
                        - SZ
                        - TC
                        - TD
                        - TF
                        - TG
                        - TH
                        - TJ
                        - TK
                        - TL
                        - TM
                        - TN
                        - TO
                        - TR
                        - TT
                        - TV
                        - TW
                        - TZ
                        - UA
                        - UG
                        - UM
                        - US
                        - UY
                        - UZ
                        - VA
                        - VC
                        - VE
                        - VG
                        - VI
                        - VN
                        - VU
                        - WF
                        - WS
                        - XK
                        - YE
                        - YT
                        - ZA
                        - ZM
                        - ZW
                      example: GB
                    description: >-
                      Array of ISO 3166-1 alpha-2 country codes representing
                      person nationalities
                  countryOfResidence:
                    type:
                      - string
                      - 'null'
                    maxLength: 256
                    example: US
                  primaryMobileNumber:
                    type:
                      - string
                      - 'null'
                    maxLength: 50
                    example: '+447798121212'
                  primaryEmailAddress:
                    type:
                      - string
                    format: email
                    maxLength: 256
                    description: The primary email address for this person.
                    example: test@equalsqa.com
                  avatar:
                    type:
                      - object
                    properties:
                      url:
                        type:
                          - string
                      fileName:
                        type:
                          - string
                  sendInvite:
                    type:
                      - boolean
                    description: Send the invite now
                  roleId:
                    type:
                      - string
                    format: uuid
                  verifyEmailAddress:
                    default: true
                    type:
                      - boolean
                  verifyMobileNumber:
                    default: true
                    type:
                      - boolean
                  sub:
                    type:
                      - string
                      - 'null'
                    maxLength: 256
                    description: The Cognito ID of the person to work with.
                    example: >-
                      8e214819-5c83-429f-a976-eb127a0a8a88 or
                      auth0|12345a6b7890c1def1234dg5
                  hasPeopleCard:
                    type:
                      - boolean
                    description: Indicates whether this person has an individual card.
                  card:
                    type:
                      - object
                      - 'null'
                    properties:
                      id:
                        type:
                          - string
                        format: uuid
                        description: The id of the card
                    required:
                      - id
                    description: >-
                      The individual card object if the person has an individual
                      card
                  status:
                    type:
                      - string
                    enum:
                      - active
                      - deactivated
                      - kycReferred
                      - rejected
                  locale:
                    type:
                      - string
                      - 'null'
                    enum:
                      - en-GB
                    description: >-
                      Determines customer communication language. emails,
                      notifications, etc.
                    example: en-GB
                  productId:
                    type:
                      - string
                    format: uuid
                    maxLength: 36
                    description: The ID of the product to work with.
                    example: 3ef24d53-6e22-4103-a16b-d268e4f7346d
                  avatarId:
                    type:
                      - string
                      - 'null'
                    format: uuid
                  avatarCdnUrl:
                    type:
                      - string
                      - 'null'
                  emailTheme:
                    type:
                      - string
                      - 'null'
                    maxLength: 32
                  preferred2FAMethod:
                    type:
                      - string
                      - 'null'
                    enum:
                      - whatsapp
                      - sms
                  persona:
                    type:
                      - object
                    properties: {}
                    additionalProperties: true
                  createdAt:
                    type:
                      - string
                    format: date-time
                    description: >-
                      The date the Resource was initially created. ISO 8601
                      format without milliseconds.
                  updatedAt:
                    type:
                      - string
                    format: date-time
                    description: >-
                      The date the Resource was last modified. ISO 8601 format
                      without milliseconds.
                  address:
                    type:
                      - object
                      - 'null'
                    properties:
                      id:
                        type:
                          - string
                        format: uuid
                      personId:
                        description: The ID of the person to work with.
                        type:
                          - string
                        format: uuid
                        maxLength: 36
                        example: 775596ae-2624-40af-a9dc-9756110a4a04
                      streetName:
                        type:
                          - string
                          - 'null'
                        maxLength: 255
                        description: The street name of the person's address.
                        example: Great Building
                      buildingNumber:
                        type:
                          - string
                          - 'null'
                        maxLength: 50
                        description: The building number of the person's address.
                        example: '10'
                      buildingName:
                        type:
                          - string
                          - 'null'
                        maxLength: 255
                        description: The building name of the person's address.
                        example: Greater Building
                      postcode:
                        type:
                          - string
                          - 'null'
                        maxLength: 50
                        description: The postal or ZIP code of the person's address.
                        example: SE13UB
                      city:
                        type:
                          - string
                          - 'null'
                        maxLength: 255
                        description: The town or city of the person's address.
                        example: My Town
                      region:
                        type:
                          - string
                          - 'null'
                        maxLength: 255
                        description: The region of the person's address.
                        example: Greater London
                      countryCode:
                        type:
                          - string
                          - 'null'
                        enum:
                          - AD
                          - AE
                          - AF
                          - AG
                          - AI
                          - AL
                          - AM
                          - AO
                          - AQ
                          - AR
                          - AS
                          - AT
                          - AU
                          - AW
                          - AX
                          - AZ
                          - BA
                          - BB
                          - BD
                          - BE
                          - BF
                          - BG
                          - BH
                          - BI
                          - BJ
                          - BL
                          - BM
                          - BN
                          - BO
                          - BQ
                          - BR
                          - BS
                          - BT
                          - BV
                          - BW
                          - BY
                          - BZ
                          - CA
                          - CC
                          - CD
                          - CF
                          - CG
                          - CH
                          - CI
                          - CK
                          - CL
                          - CM
                          - CN
                          - CO
                          - CR
                          - CU
                          - CV
                          - CW
                          - CX
                          - CY
                          - CZ
                          - DE
                          - DJ
                          - DK
                          - DM
                          - DO
                          - DZ
                          - EC
                          - EE
                          - EG
                          - EH
                          - ER
                          - ES
                          - ET
                          - FI
                          - FJ
                          - FK
                          - FM
                          - FO
                          - FR
                          - GA
                          - GB
                          - GD
                          - GE
                          - GF
                          - GG
                          - GH
                          - GI
                          - GL
                          - GM
                          - GN
                          - GP
                          - GQ
                          - GR
                          - GS
                          - GT
                          - GU
                          - GW
                          - GY
                          - HK
                          - HM
                          - HN
                          - HR
                          - HT
                          - HU
                          - ID
                          - IE
                          - IL
                          - IM
                          - IN
                          - IO
                          - IQ
                          - IR
                          - IS
                          - IT
                          - JE
                          - JM
                          - JO
                          - JP
                          - KE
                          - KG
                          - KH
                          - KI
                          - KM
                          - KN
                          - KP
                          - KR
                          - KW
                          - KY
                          - KZ
                          - LA
                          - LB
                          - LC
                          - LI
                          - LK
                          - LR
                          - LS
                          - LT
                          - LU
                          - LV
                          - LY
                          - MA
                          - MC
                          - MD
                          - ME
                          - MF
                          - MG
                          - MH
                          - MK
                          - ML
                          - MM
                          - MN
                          - MO
                          - MP
                          - MQ
                          - MR
                          - MS
                          - MT
                          - MU
                          - MV
                          - MW
                          - MX
                          - MY
                          - MZ
                          - NA
                          - NC
                          - NE
                          - NF
                          - NG
                          - NI
                          - NL
                          - 'NO'
                          - NP
                          - NR
                          - NU
                          - NZ
                          - OM
                          - PA
                          - PE
                          - PF
                          - PG
                          - PH
                          - PK
                          - PL
                          - PM
                          - PN
                          - PR
                          - PS
                          - PT
                          - PW
                          - PY
                          - QA
                          - RE
                          - RO
                          - RS
                          - RU
                          - RW
                          - SA
                          - SB
                          - SC
                          - SD
                          - SE
                          - SG
                          - SH
                          - SI
                          - SJ
                          - SK
                          - SL
                          - SM
                          - SN
                          - SO
                          - SR
                          - SS
                          - ST
                          - SV
                          - SX
                          - SY
                          - SZ
                          - TC
                          - TD
                          - TF
                          - TG
                          - TH
                          - TJ
                          - TK
                          - TL
                          - TM
                          - TN
                          - TO
                          - TR
                          - TT
                          - TV
                          - TW
                          - TZ
                          - UA
                          - UG
                          - UM
                          - US
                          - UY
                          - UZ
                          - VA
                          - VC
                          - VE
                          - VG
                          - VI
                          - VN
                          - VU
                          - WF
                          - WS
                          - XK
                          - YE
                          - YT
                          - ZA
                          - ZM
                          - ZW
                        description: The country code of the person's address.
                        example: GB
                    required:
                      - id
                      - streetName
                      - buildingNumber
                      - buildingName
                      - postcode
                      - city
                      - region
                      - countryCode
                required:
                  - id
                  - firstName
                  - lastName
                  - middleInitials
                  - dob
                  - gender
                  - nationality
                  - countryOfResidence
                  - primaryEmailAddress
                  - status
                  - locale
                  - productId
                  - avatarId
                  - avatarCdnUrl
                  - preferred2FAMethod
                  - createdAt
                  - updatedAt
                example:
                  id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                  firstName: Dolly
                  lastName: Parton
                  title: Master
                  middleInitials: R
                  dob: '1946-01-19'
                  gender: Female
                  nationality: US
                  nationalities:
                    - GB
                  countryOfResidence: US
                  primaryMobileNumber: '+447798121212'
                  primaryEmailAddress: test@equalsqa.com
                  avatar:
                    url: string
                    fileName: string
                  sendInvite: true
                  roleId: 7382d58e-652a-4905-b7c9-bcca1e0e5391
                  verifyEmailAddress: true
                  verifyMobileNumber: true
                  sub: >-
                    8e214819-5c83-429f-a976-eb127a0a8a88 or
                    auth0|12345a6b7890c1def1234dg5
                  hasPeopleCard: true
                  card:
                    id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                  status: active
                  locale: en-GB
                  productId: 3ef24d53-6e22-4103-a16b-d268e4f7346d
                  avatarId: ac572b6e-802b-4b9e-a602-0786d4441e67
                  avatarCdnUrl: string
                  emailTheme: string
                  preferred2FAMethod: whatsapp
                  persona: {}
                  createdAt: '2019-08-24T14:15:22Z'
                  updatedAt: '2019-08-24T14:15:22Z'
                  address:
                    id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                    personId: 775596ae-2624-40af-a9dc-9756110a4a04
                    streetName: Great Building
                    buildingNumber: '10'
                    buildingName: Greater Building
                    postcode: SE13UB
                    city: My Town
                    region: Greater London
                    countryCode: GB
      security:
        - CommonAuth:
            - people:create:any
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````